:root {
  touch-action: none;
  height: 100%;
}

body,
html {
  touch-action: none;
  --sidebar-width: 0px;
  --size-of-sidebar: 0;
  overflow: hidden;
}

* {
  -webkit-tap-highlight-color: transparent;
  -webkit-user-select: none;
  user-select: none;
  touch-action: none;
}

header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 10;
  pointer-events: all;
  display: flex;
  flex-direction: column;
  align-items: center;

  .game-nav {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1em 1.5em;
    background: rgba(31, 41, 36, 0.8);
    backdrop-filter: blur(5px);
    width: 100%;

    button {
      font-size: 16px;
      padding: 8px 12px;
      cursor: pointer;
    }
  }

  .game-controls {
    display: block;
    margin: 0;
    width: fit-content;
    padding: 0.5em;
    background: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(5px);
    font-size: 1.2em;

    p {
      margin: 0;
    }
  }

  #leaderboardList {
    list-style: none;
    padding: 0;
    margin: 0;

    li {
      line-height: 1.5;
      font-size: 1.5em;
      font-family: monospace;
      letter-spacing: 0.1em;
    }
  }
}


.btn-wrapper {
  display: flex;
  gap: 1em;
  margin: 0 auto;
}




.start-screen {
  width: fit-content;
  display: flex;
  position: fixed;
  bottom: 10%;
  right: 5%;

  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 1em;

  @media screen and (orientation: landscape) {
    height: 90vh;
    width: 25%;
  }
}

.sexy-btn {
  display: flex;
  align-items: center;
  gap: 2em;
  outline: none;
  border-radius: 0.5em;
  text-transform: lowercase;
  position: relative;
  z-index: 1;
  width: fit-content;
  font-size: 0.9rem;
  color: #277681 !important;
  text-decoration: none;
  border: 1px solid #1c5057;
  padding: 0.8em 1.3em;
  background: rgba(17, 45, 49, 0.8);

  &:hover,
  &:focus {
    outline: 2px solid #1c5057;
    background: rgba(4, 43, 49, 0.9);
    /*
    canvas {
      opacity: 1;
    } */
  }

  &:active {
    background: rgba(1, 6, 6, 0.7);
    outline: 2px solid #1c5057;
  }
}